PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::GeometryObject::PredicateIsA Struct Reference

Predicate which check if given object is another instance of some particular object (given in constructor). More...

`#include <plask/geometry/object.hpp>`

Collaboration diagram for plask::GeometryObject::PredicateIsA:
[legend]

## Public Member Functions
| PredicateIsA (const GeometryObject &objectToBeEqual)
| PredicateIsA (const shared_ptr< GeometryObject > &objectToBeEqual)
| PredicateIsA (const shared_ptr< const GeometryObject > &objectToBeEqual)
bool | operator() (const GeometryObject &el) const

## Public Attributes
const GeometryObject & | objectToBeEqual

## Detailed Description

Predicate which check if given object is another instance of some particular object (given in constructor).

Definition at line 439 of file object.hpp.

## Constructor & Destructor Documentation

## ◆ PredicateIsA() [1/3]

plask::GeometryObject::PredicateIsA::PredicateIsA | ( | const GeometryObject & | objectToBeEqual | ) |
| inline

Definition at line 441 of file object.hpp.

## ◆ PredicateIsA() [2/3]

plask::GeometryObject::PredicateIsA::PredicateIsA | ( | const shared_ptr< GeometryObject > & | objectToBeEqual | ) |
| inline

Definition at line 442 of file object.hpp.

## ◆ PredicateIsA() [3/3]

plask::GeometryObject::PredicateIsA::PredicateIsA | ( | const shared_ptr< const GeometryObject > & | objectToBeEqual | ) |
| inline

Definition at line 443 of file object.hpp.

## Member Function Documentation

## ◆ operator()()

bool plask::GeometryObject::PredicateIsA::operator() | ( | const GeometryObject & | el | ) | const
| inline

Definition at line 444 of file object.hpp.

## Member Data Documentation

## ◆ objectToBeEqual

const GeometryObject& plask::GeometryObject::PredicateIsA::objectToBeEqual

Definition at line 440 of file object.hpp.

The documentation for this struct was generated from the following file:

- plask/geometry/object.hpp